Subject: Re: [PATCH v2 00/19] Refactor PCI controller operations

From: Arnd Bergmann <[email-masked]>
Date: Tue, 07 Apr 2015 09:51:47 +0200

On Tuesday 31 March 2015 16:00:38 Daniel Axtens wrote:
> This patch set moves some PCI controller operations out of ppc_md and
> into a new pci_controller_ops struct.
> 
> This is desirable for systems with more than one type of PCI
> controller. In particular, it's intended that this new interface will
> be used by the CXL (aka CAPI) driver.
> 
> The design tries to balance a desire to avoid having yet another
> abstraction layer with a desire to make it easy for vendor kernels to
> pull in as little or as much as they are comfortable with.

I looked over the whole series again now, and with my previous concern
withdrawn, everything looks good to me. Nice work!

	Arnd